Bug 231398 - Service config dialog freezes Amarok
Summary: Service config dialog freezes Amarok
Status: RESOLVED DUPLICATE of bug 213068
Alias: None
Product: amarok
Classification: Applications
Component: general (show other bugs)
Version: 2.3-GIT
Platform: Compiled Sources Linux
: VHI crash (vote)
Target Milestone: 2.3.1
Assignee: Amarok Developers
URL:
Keywords:
: 231927 232480 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-03-20 10:28 UTC by Rohan Garg
Modified: 2010-06-16 22:37 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Debugging output when trying to enable ampache (40.74 KB, application/octet-stream)
2010-06-12 16:44 UTC, Yözen Hernández
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rohan Garg 2010-03-20 10:28:23 UTC
Version:           2.3 Git (using KDE 4.4.1)
Compiler:          cmake version 2.8.0 
OS:                Linux
Installed from:    Compiled From Sources

Steps to reproduce crash : 
1) Go to settings > Configure amarok > Internet Services > Click on the last.fm wrench
2) Amarok just hangs

Konsole ouput on 2 different machines : 
Machine 1 :
amarok: BEGIN: virtual bool Amarok2ConfigDialog::hasChanged()
amarok:   BEGIN: virtual bool CollectionConfig::hasChanged()
amarok:     BEGIN: bool CollectionSetup::hasChanged() const
amarok:       BEGIN: QStringList MountPointManager::collectionFolders()
amarok:       END__: QStringList MountPointManager::collectionFolders() - Took 7.4e-05s
amarok:     END__: bool CollectionSetup::hasChanged() const - Took 0.00015s
amarok:   END__: virtual bool CollectionConfig::hasChanged() - Took 0.0002s
amarok:   BEGIN: virtual bool ServiceConfig::hasChanged()
amarok:   END__: virtual bool ServiceConfig::hasChanged() - Took 2.3e-05s
amarok: END__: virtual bool Amarok2ConfigDialog::hasChanged() - Took 0.00034s
amarok: BEGIN: void EngineController::slotAboutToFinish()
amarok:   [EngineController] Track finished completely, updating statistics
amarok:   BEGIN: void Meta::StatisticsProvider::played(double)
amarok:      called with playedFraction =  1
amarok:   END__: void Meta::StatisticsProvider::played(double) - Took 0.00063s
amarok:   BEGIN: virtual void UpcomingEventsEngine::metadataChanged(Meta::TrackPtr)
amarok:     BEGIN: void UpcomingEventsEngine::update()
amarok:     END__: void UpcomingEventsEngine::update() - Took 0.0025s
amarok:   END__: virtual void UpcomingEventsEngine::metadataChanged(Meta::TrackPtr) - Took 0.0026s
amarok:   BEGIN: virtual void WikipediaEngine::metadataChanged(Meta::TrackPtr)
amarok:     BEGIN: void WikipediaEngine::update()
amarok:        Same entry requested again. Ignoring.
amarok:     END__: void WikipediaEngine::update() - Took 8.6e-05s
amarok:   END__: virtual void WikipediaEngine::metadataChanged(Meta::TrackPtr) - Took 0.00014s
amarok:   [Playlist::Model] Metadata updated for track "10th Sense [Instrumental]"
amarok:   BEGIN: virtual void MultiPlayableCapabilityImpl::fetchNext()
amarok:     BEGIN: void LastFm::Track::Private::setTrackInfo(const lastfm::Track&)
amarok:       BEGIN: void PhotosEngine::update()
amarok:          Flickr :  "http://api.flickr.com/services/rest/?method=flickr.photos.search&api_key=9c5a288116c34c17ecee37877397fe31&text=Groove%20Armada%20&per_page=10&sort=relevance&media=photos"
amarok:       END__: void PhotosEngine::update() - Took 0.00087s
amarok:       BEGIN: virtual void UpcomingEventsEngine::metadataChanged(Meta::TrackPtr)
amarok:         BEGIN: void UpcomingEventsEngine::update()
amarok:         END__: void UpcomingEventsEngine::update() - Took 0.00082s
amarok:       END__: virtual void UpcomingEventsEngine::metadataChanged(Meta::TrackPtr) - Took 0.00095s
amarok:       BEGIN: virtual void WikipediaEngine::metadataChanged(Meta::TrackPtr)
amarok:         BEGIN: void WikipediaEngine::update()
amarok:            wiki url:  "http://en.wikipedia.org/w/index.php?title=Groove%20Armada%20%28band%29&useskin=monobook"
amarok:         END__: void WikipediaEngine::update() - Took 0.00077s
amarok:       END__: virtual void WikipediaEngine::metadataChanged(Meta::TrackPtr) - Took 0.00085s
amarok:       BEGIN: void ScriptManager::notifyFetchLyrics(const QString&, const QString&)
amarok:          SCRIPT "Lyricwiki" :  "request URL: http://lyrics.wikia.com/lyrics/Groove_Armada:Inside_My_Mind_(Blue_Skies)"
amarok:         BEGIN: static QScriptValue Downloader::init(QScriptContext*, QScriptEngine*, bool)
amarok:         END__: static QScriptValue Downloader::init(QScriptContext*, QScriptEngine*, bool) - Took 0.00073s
amarok:       END__: void ScriptManager::notifyFetchLyrics(const QString&, const QString&) - Took 0.0013s
amarok:       [Playlist::Model] Metadata updated for track "Inside My Mind (Blue Skies)"
amarok:       BEGIN: void EngineController::slotPlayableUrlFetched(const KUrl&)
amarok:         [EngineController] Fetched url:  KUrl("http://play.last.fm/user/fd486badccc465a4c2d3e62f64630143.mp3")
amarok:         [EngineController] The next url we're playing is:  KUrl("http://play.last.fm/user/fd486badccc465a4c2d3e62f64630143.mp3")
amarok:       END__: void EngineController::slotPlayableUrlFetched(const KUrl&) - Took 8.5e-05s
amarok:       BEGIN: virtual void CurrentEngine::metadataChanged(Meta::AlbumPtr)
amarok:       END__: virtual void CurrentEngine::metadataChanged(Meta::AlbumPtr) - Took 0.00014s
amarok:       BEGIN: void OSDWidget::show(const QString&, QImage)
amarok:       END__: void OSDWidget::show(const QString&, QImage) - Took 0.0015s
amarok:       [Playlist::Model] Album metadata changed
amarok:     END__: void LastFm::Track::Private::setTrackInfo(const lastfm::Track&) - Took 0.018s
amarok:   END__: virtual void MultiPlayableCapabilityImpl::fetchNext() - Took 0.018s
amarok:   [EngineController] The queue has:  0  tracks in it
amarok: END__: void EngineController::slotAboutToFinish() - Took 0.029s

=============================================================================

Machine 2 : 
amarok(2808)/kdecore (KSycoca) KSycocaPrivate::openDatabase: Trying to open ksycoca from  "/var/tmp/kdecache-shadeslayer/ksycoca4"
amarok(2808) Phonon::KdePlatformPlugin::createBackend: using backend:  "Xine"
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
amarok(2808)/kdeui (KGlobalAccel) KActionCollection::addAction: Registering action  "edit_redo"  under new name  "playlist_redo"
amarok(2808)/kdeui (KGlobalAccel) KActionCollection::addAction: Registering action  "edit_undo"  under new name  "playlist_undo"
amarok(2808)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
amarok(2808)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
amarok(2808)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
Calling appendChild() on a null node does nothing.
amarok(2808)/kio (KDirWatch) KDirWatchPrivate::KDirWatchPrivate: Available methods:  ("Stat", "INotify")
amarok(2808)/kio (KDirWatch) KDirWatchPrivate::addEntry: Added File "/home/shadeslayer/.kde/share/config/plasmarc" for "" ["KDirWatch-1"]
QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: No such file or directory
QFileSystemWatcher: failed to add paths: /home/shadeslayer/.config/ibus/bus
Bus::open: Can not get ibus-daemon's address. 
IBusInputContext::createInputContext: no connection to ibus-daemon 
amarok(2808)/libplasma Plasma::ThemePrivate::config: using theme for app "amarok"
QGraphicsLinearLayout::removeAt: invalid index 1
amarok(2808)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
amarok(2808)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
role  0  : ( QVariantList ) :  QVariant(QVariantList, (QVariant(QString, "Internal Database") )  ) 
role  1  : ( QVariantList ) :  QVariant(QVariantList, (QVariant(QIcon, ) )  ) 
role  3  : ( QVariantList ) :  QVariant(QVariantList, (QVariant(QString, "Internal Database") )  ) 
QMap((0, QMap((0, QVariant(QString, "Internal Database") ) ( 1 ,  QVariant(QIcon, ) ) ( 3 ,  QVariant(QString, "Internal Database") ) )  ) )  
Creating empty group:  "Internal Database" 
role  0  : ( QString ) :  QVariant(QString, "Playlist Files on Disk") 
"index 2 belongs to group Playlist Files on Disk" 
role  0  : ( QString ) :  QVariant(QString, "Playlist Files on Disk") 
"index 1 belongs to group Playlist Files on Disk" 
role  0  : ( QString ) :  QVariant(QString, "Playlist Files on Disk") 
"index 0 belongs to group Playlist Files on Disk" 
QMap() 
role  0  : ( QString ) :  QVariant(QString, "") 
role  1  : ( QIcon ) :  QVariant(QIcon, ) 
role  2  : ( QString ) :  QVariant(QString, "") 
role  3  : ( QString ) :  QVariant(QString, "") 
role  0  : ( QString ) :  QVariant(QString, "") 
role  1  : ( QIcon ) :  QVariant(QIcon, ) 
role  2  : ( QString ) :  QVariant(QString, "") 
role  3  : ( QString ) :  QVariant(QString, "") 
role  0  : ( QString ) :  QVariant(QString, "") 
role  1  : ( QIcon ) :  QVariant(QIcon, ) 
role  2  : ( QString ) :  QVariant(QString, "") 
role  3  : ( QString ) :  QVariant(QString, "") 
Object::connect: No such signal QSortFilterProxyModel::renameIndex( QModelIndex ) in /home/shadeslayer/unstable/Git/amarok/src/browsers/playlistbrowser/UserPlaylistTreeView.cpp:80
amarok(2808)/kio (KDirListerCache) KDirListerCache::listDir: Listing directory: KUrl("file:///home/shadeslayer")
amarok(2808)/kio (KDirWatch) KDirWatchPrivate::addEntry: Added Dir "/home/shadeslayer" for "" ["KDirWatch-1"]
amarok(2808)/kdeui (Wallet) KWallet::Wallet::openWallet: Pass a valid window to KWallet::Wallet::openWallet().
amarok(2808)/libplasma Plasma::ViewPrivate::updateSceneRect: !!!!!!!!!!!!!!!!! setting the scene rect to QRectF(0,0 200x180) associated screen is -1
amarok(2808)/kio (Slave) KIO::Slave::createSlave: createSlave "file" for KUrl("file:///home/shadeslayer")
amarok(2808)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/tmp/ksocket-shadeslayer/amarokxv2808.slave-socket"
amarok(2808)/kopete (history) Mp3tunesConfig::load: load
amarok(2808) MagnatuneConfig::load: load
role  0  : ( QVariantList ) :  QVariant(QVariantList, (QVariant(QString, "Local Podcasts") )  ) 
role  1  : ( QVariantList ) :  QVariant(QVariantList, (QVariant(QIcon, ) )  ) 
role  3  : ( QVariantList ) :  QVariant(QVariantList, (QVariant(QString, "Local Podcasts") )  ) 
QMap((0, QMap((0, QVariant(QString, "Local Podcasts") ) ( 1 ,  QVariant(QIcon, ) ) ( 3 ,  QVariant(QString, "Local Podcasts") ) )  ) )  
Creating empty group:  "Local Podcasts" 
amarok(2808)/kdeui (KNotification) KStatusNotifierItemDBus::KStatusNotifierItemDBus: service is "org.freedesktop.StatusNotifierItem-2808-1"
amarok(2808)/kdeui (KNotification) KStatusNotifierItemPrivate::registerToDaemon: Registering a client interface to the KStatusNotifierWatcher
amarok(2808)/libplasma Plasma::ViewPrivate::updateSceneRect: !!!!!!!!!!!!!!!!! setting the scene rect to QRectF(0,0 200x180) associated screen is -1
amarok:  ************************************************************************************************************ 
amarok:  ** DEBUGGING OUTPUT IS NOW ENABLED. PLEASE NOTE THAT YOU WILL ONLY SEE THE FULL OUTPUT ON THE NEXT START. ** 
amarok:  ************************************************************************************************************ 
amarok: END__: static void App::handleCliArgs() - Took 0.00074s 
amarok: END__: virtual int App::newInstance() - Took 0.00083s 
amarok: BEGIN: CollectionTreeItem::CollectionTreeItem(const Meta::DataList&, CollectionTreeItem*, CollectionTreeItemModelBase*) 
amarok: END__: CollectionTreeItem::CollectionTreeItem(const Meta::DataList&, CollectionTreeItem*, CollectionTreeItemModelBase*) - Took 0.00012s 
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::setCompositionMode: Painter not active
QPainter::setRenderHint: Painter must be active to set rendering hints
QPainter::save: Painter not active
QPainter::fillPath: Painter not active
QPainter::restore: Unbalanced save/restore
QPainter::save: Painter not active
QPainter::translate: Painter not active
QPainter::setPen: Painter not active
QPainter::restore: Unbalanced save/restore
QPainter::save: Painter not active
QPainter::setRenderHint: Painter must be active to set rendering hints
QPainter::restore: Unbalanced save/restore
QPainter::save: Painter not active
QPainter::fillPath: Painter not active
QPainter::restore: Unbalanced save/restore
QPainter::setClipRegion: Painter not active
QPainter::save: Painter not active
QPainter::translate: Painter not active
QPainter::save: Painter not active
QPainter::pen: Painter not active
QPainter::setPen: Painter not active
QPainter::pen: Painter not active
QPainter::setPen: Painter not active
QPainter::setPen: Painter not active
QPainter::setPen: Painter not active
QPainter::restore: Unbalanced save/restore
QPainter::restore: Unbalanced save/restore
QPainter::setRenderHint: Painter must be active to set rendering hints
QPainter::save: Painter not active
QPainter::setPen: Painter not active
QPainter::translate: Painter not active
QPainter::pen: Painter not active
QPainter::restore: Unbalanced save/restore
QPainter::save: Painter not active
QPainter::setPen: Painter not active
QPainter::translate: Painter not active
QPainter::pen: Painter not active
QPainter::restore: Unbalanced save/restore
QPainter::save: Painter not active
QPainter::setPen: Painter not active
QPainter::translate: Painter not active
QPainter::pen: Painter not active
QPainter::restore: Unbalanced save/restore
QPainter::save: Painter not active
QPainter::setPen: Painter not active
QPainter::translate: Painter not active
QPainter::pen: Painter not active
QPainter::restore: Unbalanced save/restore
QPainter::save: Painter not active
QPainter::setPen: Painter not active
QPainter::translate: Painter not active
QPainter::pen: Painter not active
QPainter::restore: Unbalanced save/restore
QPainter::save: Painter not active
QPainter::setPen: Painter not active
QPainter::translate: Painter not active
QPainter::pen: Painter not active
QPainter::restore: Unbalanced save/restore
QPainter::save: Painter not active
QPainter::setPen: Painter not active
QPainter::translate: Painter not active
QPainter::pen: Painter not active
QPainter::restore: Unbalanced save/restore
QPainter::end: Painter not active, aborted
amarok: BEGIN: void MediaDeviceMonitor::checkDevicesFor(ConnectionAssistant*) 
amarok:   BEGIN: QStringList MediaDeviceMonitor::getDevices() 
amarok:     BEGIN: void MediaDeviceCache::refreshCache() 
amarok:       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_55987e7c_20c5_49fd_8be5_3a3838847fac" 
amarok:       [MediaDeviceCache] Device name is =  "Volume (ext4)"  and was made by  "" 
amarok:       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_bb8261d9_badc_463f_98a1_b0ebb43ca973" 
amarok:       [MediaDeviceCache] Device name is =  "Volume (swap)"  and was made by  "" 
amarok:       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_854bbf56_5fe0_456a_ac27_9eeb494a344f" 
amarok:       [MediaDeviceCache] Device name is =  "Volume (ext4)"  and was made by  "" 
amarok:       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_4c8be7b1_ca78_423a_9678_8b0d641c80b2" 
amarok:       [MediaDeviceCache] Device name is =  "C-STATE"  and was made by  "" 
amarok:       [MediaDeviceCache] Solid device is not accessible, will wait until it is to consider it added. 
amarok:       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_E04C00CC4C00A000" 
amarok:       [MediaDeviceCache] Device name is =  "Data"  and was made by  "" 
amarok:       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_part3_size_1024" 
amarok:       [MediaDeviceCache] Device name is =  "Volume"  and was made by  "" 
amarok:       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_63eb221c_3a11_4e63_b059_c1901a432f39" 
amarok:       [MediaDeviceCache] Device name is =  "C-ROOT"  and was made by  "" 
amarok:       [MediaDeviceCache] Solid device is not accessible, will wait until it is to consider it added. 
amarok:       [MediaDeviceCache] Found Solid::DeviceInterface::StorageAccess with udi =  "/org/freedesktop/Hal/devices/volume_uuid_F85AE8F25AE8AF16" 
amarok:       [MediaDeviceCache] Device name is =  "Windows"  and was made by  "" 
amarok:       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_model_DVD__RW_DVW28SLC" 
amarok:       [MediaDeviceCache] Device name is =  "DVD+-RW DVW28SLC"  and was made by  "TEAC" 
amarok:       [MediaDeviceCache] Found Solid::DeviceInterface::StorageDrive with udi =  "/org/freedesktop/Hal/devices/storage_serial_WDC_WD3200BEVT_75ZCT2_WD_WXE808JWL412" 
amarok:       [MediaDeviceCache] Device name is =  "WDC WD3200BEVT-7"  and was made by  "ATA" 
amarok:     END__: void MediaDeviceCache::refreshCache() - Took 0.0034s 
amarok:   END__: QStringList MediaDeviceMonitor::getDevices() - Took 0.0035s 
amarok:   BEGIN: virtual bool UmsConnectionAssistant::identify(const QString&) 
amarok:      Device udi:  "/org/freedesktop/Hal/devices/storage_model_DVD__RW_DVW28SLC" 
amarok:      Device name:  "TEAC - DVD+-RW DVW28SLC" 
amarok:     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:       [MediaDeviceCache] Not able to convert to StorageAccess or not accessible, returning empty 
amarok:     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 8.3e-05s 
amarok:      Mount point:  "" 
amarok:      vendor:  "TEAC" , product:  "DVD+-RW DVW28SLC" 
amarok:     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:       [MediaDeviceCache] Not able to convert to StorageAccess or not accessible, returning empty 
amarok:     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 7.6e-05s 
amarok:   END__: virtual bool UmsConnectionAssistant::identify(const QString&) - Took 0.00092s 
amarok:   BEGIN: virtual bool UmsConnectionAssistant::identify(const QString&) 
amarok:      Device udi:  "/org/freedesktop/Hal/devices/storage_serial_WDC_WD3200BEVT_75ZCT2_WD_WXE808JWL412" 
amarok:      Device name:  "ATA - WDC WD3200BEVT-7" 
amarok:     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:       [MediaDeviceCache] Not able to convert to StorageAccess or not accessible, returning empty 
amarok:     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 7.9e-05s 
amarok:      Mount point:  "" 
amarok:      vendor:  "ATA" , product:  "WDC WD3200BEVT-7" 
amarok:     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:       [MediaDeviceCache] Not able to convert to StorageAccess or not accessible, returning empty 
amarok:     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 7.5e-05s 
amarok:   END__: virtual bool UmsConnectionAssistant::identify(const QString&) - Took 0.00072s 
amarok:   BEGIN: virtual bool UmsConnectionAssistant::identify(const QString&) 
amarok:      Device udi:  "/org/freedesktop/Hal/devices/volume_uuid_55987e7c_20c5_49fd_8be5_3a3838847fac" 
amarok:      Device name:  "/" 
amarok:     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 5.4e-05s 
amarok:      Mount point:  "/" 
amarok:      vendor:  "" , product:  "Volume (ext4)" 
amarok:     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 4.9e-05s 
amarok:   END__: virtual bool UmsConnectionAssistant::identify(const QString&) - Took 0.00034s 
amarok:   BEGIN: virtual bool UmsConnectionAssistant::identify(const QString&) 
amarok:      Device udi:  "/org/freedesktop/Hal/devices/volume_uuid_854bbf56_5fe0_456a_ac27_9eeb494a344f" 
amarok:      Device name:  "/home" 
amarok:     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 5.2e-05s 
amarok:      Mount point:  "/home" 
amarok:      vendor:  "" , product:  "Volume (ext4)" 
amarok:     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 5e-05s 
amarok:   END__: virtual bool UmsConnectionAssistant::identify(const QString&) - Took 0.00033s 
amarok:   BEGIN: virtual bool UmsConnectionAssistant::identify(const QString&) 
amarok:      Device udi:  "/org/freedesktop/Hal/devices/volume_uuid_E04C00CC4C00A000" 
amarok:      Device name:  "/media/Data" 
amarok:     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 5.4e-05s 
amarok:      Mount point:  "/media/Data" 
amarok:      vendor:  "" , product:  "Data" 
amarok:     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 4.9e-05s 
amarok:   END__: virtual bool UmsConnectionAssistant::identify(const QString&) - Took 0.00034s 
amarok:   BEGIN: virtual bool UmsConnectionAssistant::identify(const QString&) 
amarok:      Device udi:  "/org/freedesktop/Hal/devices/volume_uuid_F85AE8F25AE8AF16" 
amarok:      Device name:  "/media/Windows" 
amarok:     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 5.5e-05s 
amarok:      Mount point:  "/media/Windows" 
amarok:      vendor:  "" , product:  "Windows" 
amarok:     BEGIN: const QString MediaDeviceCache::volumeMountPoint(const QString&) const 
amarok:     END__: const QString MediaDeviceCache::volumeMountPoint(const QString&) const - Took 6.6e-05s 
amarok:   END__: virtual bool UmsConnectionAssistant::identify(const QString&) - Took 0.00035s 
amarok: END__: void MediaDeviceMonitor::checkDevicesFor(ConnectionAssistant*) - Took 0.0068s 
amarok: BEGIN: void DaapCollectionFactory::connectToManualServers() 
amarok: END__: void DaapCollectionFactory::connectToManualServers() - Took 6.8e-05s 
amarok: BEGIN: void ProgressWidget::redrawBookmarks(const QString*) 
amarok:   BEGIN: void Amarok::TimeSlider::clearTriangles() 
amarok:      number of triangles:  0 
amarok:      deleted them all... 
amarok:   END__: void Amarok::TimeSlider::clearTriangles() - Took 9.5e-05s 
amarok: END__: void ProgressWidget::redrawBookmarks(const QString*) - Took 0.00024s 
amarok: BEGIN: void MainToolbar::updateBookmarks(const QString*) 
amarok:   BEGIN: void Amarok::TimeSlider::clearTriangles() 
amarok:      number of triangles:  0 
amarok:      deleted them all... 
amarok:   END__: void Amarok::TimeSlider::clearTriangles() - Took 9e-05s 
amarok: END__: void MainToolbar::updateBookmarks(const QString*) - Took 0.00016s 
amarok: BEGIN: void Playlist::PrettyListView::fixInvisible() 
amarok: END__: void Playlist::PrettyListView::fixInvisible() - Took 0.00017s 
amarok:  setting applets geom to QRectF(0,0 390x428) 
amarok: BEGIN: void CurrentEngine::stoppedState() 
amarok: END__: void CurrentEngine::stoppedState() - Took 0.0003s 
amarok: BEGIN: void MainWindow::restoreLayout() 
amarok:   BEGIN: void MainWindow::layoutChanged() 
amarok:     [MainWindow] ignored:  true 
amarok:   END__: void MainWindow::layoutChanged() - Took 7.9e-05s 
amarok:    Initialized thread, count== 4 
amarok:   BEGIN: void MainWindow::layoutChanged() 
amarok:     [MainWindow] ignored:  true 
amarok:   END__: void MainWindow::layoutChanged() - Took 0.00014s 
amarok:   BEGIN: void MainWindow::layoutChanged() 
amarok:     [MainWindow] ignored:  true 
amarok:   END__: void MainWindow::layoutChanged() - Took 7.1e-05s 
amarok:   BEGIN: void MainWindow::layoutChanged() 
amarok:     [MainWindow] ignored:  true 
amarok:   END__: void MainWindow::layoutChanged() - Took 8.6e-05s 
amarok:   BEGIN: void MainWindow::layoutChanged() 
amarok:     [MainWindow] ignored:  true 
amarok:   END__: void MainWindow::layoutChanged() - Took 7.2e-05s 
amarok:   BEGIN: void MainWindow::layoutChanged() 
amarok:     [MainWindow] ignored:  true 
amarok:   END__: void MainWindow::layoutChanged() - Took 0.00013s 
amarok: END__: void MainWindow::restoreLayout() - Took 0.036s 
amarok: BEGIN: void ScriptManager::updateAllScripts() 
amarok:   [ScriptManager] ScriptUpdater: Skipping update check 
amarok:   BEGIN: bool ScriptManager::loadScript(const QString&) 
amarok:     [ScriptManager] script info: "Amarok Script Console"   "1.0"   "Generic"   "Amarok2.0" 
amarok:   END__: bool ScriptManager::loadScript(const QString&) - Took 0.00037s 
amarok:   BEGIN: bool ScriptManager::loadScript(const QString&) 
amarok:     [ScriptManager] script info: "Lyricwiki"   ".2"   "Lyrics"   "Amarok2.0" 
amarok:   END__: bool ScriptManager::loadScript(const QString&) - Took 0.00032s 
amarok:   BEGIN: bool ScriptManager::loadScript(const QString&) 
amarok:     [ScriptManager] script info: "Librivox.org"   "1.0"   "Scriptable Service"   "Amarok2.0" 
amarok:   END__: bool ScriptManager::loadScript(const QString&) - Took 0.0003s 
amarok:   BEGIN: bool ScriptManager::loadScript(const QString&) 
amarok:     [ScriptManager] script info: "Cool Streams"   "1.0"   "Scriptable Service"   "Amarok2.0" 
amarok:   END__: bool ScriptManager::loadScript(const QString&) - Took 0.00029s 
amarok:   BEGIN: void ScriptManager::findScripts() 
amarok:     BEGIN: void ScriptSelector::addScripts(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&) 
amarok(2808)/kutils (KPluginSelector) KPluginSelector::addPlugins: cfgGroup =  0x7fff8dfbe160
amarok(2808)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  0  offers for  "Amarok Script Console"
amarok:     END__: void ScriptSelector::addScripts(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&) - Took 0.015s 
amarok:     BEGIN: void ScriptSelector::addScripts(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&) 
amarok(2808)/kutils (KPluginSelector) KPluginSelector::addPlugins: cfgGroup =  0x7fff8dfbe160
amarok(2808)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  0  offers for  "LyricWiki"
amarok:     END__: void ScriptSelector::addScripts(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&) - Took 0.031s 
amarok:     BEGIN: void ScriptSelector::addScripts(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&) 
amarok(2808)/kutils (KPluginSelector) KPluginSelector::addPlugins: cfgGroup =  0x7fff8dfbe160
amarok(2808)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  0  offers for  "Cool Streams"
amarok(2808)/kdecore (KPluginInfo) KPluginInfo::kcmServices: found  0  offers for  "Librivox.org"
amarok:     END__: void ScriptSelector::addScripts(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&) - Took 0.028s 
amarok:     BEGIN: void ScriptManager::slotConfigChanged(bool) 
amarok:       BEGIN: void ScriptManager::slotConfigChanged(bool) 
amarok:       END__: void ScriptManager::slotConfigChanged(bool) - Took 5.4e-05s 
amarok:       BEGIN: bool ScriptManager::slotRunScript(QString, bool) 
amarok:         BEGIN: void ScriptManager::startScriptEngine(QString) 
amarok:           BEGIN: ScriptableServiceScript::ScriptableServiceScript(QScriptEngine*) 
amarok:           END__: ScriptableServiceScript::ScriptableServiceScript(QScriptEngine*) - Took 9.5e-05s 
amarok:           BEGIN: Downloader::Downloader(QScriptEngine*) 
amarok:           END__: Downloader::Downloader(QScriptEngine*) - Took 6.8e-05s 
amarok:         END__: void ScriptManager::startScriptEngine(QString) - Took 0.0011s 
amarok:         BEGIN: static QScriptValue ScriptableServiceScript::ScriptableServiceScript_prototype_ctor(QScriptContext*, QScriptEngine*) 
amarok:           BEGIN: bool ScriptableServiceManager::initService(const QString&, int, const QString&, const QString&, bool) 
amarok:              initializing scripted service:  "Cool Streams" 
amarok:             BEGIN: ServiceBase::ServiceBase(const QString&, ServiceFactory*, bool, const QString&) 
amarok:             END__: ServiceBase::ServiceBase(const QString&, ServiceFactory*, bool, const QString&) - Took 0.0028s 
amarok:             BEGIN: ScriptableService::ScriptableService(const QString&) 
amarok:                creating ScriptableService  "Cool Streams" 
amarok:             END__: ScriptableService::ScriptableService(const QString&) - Took 7.2e-05s 
amarok:             BEGIN: void ScriptableService::init(int, const QString&, bool) 
amarok:               BEGIN: ScriptableServiceCollection::ScriptableServiceCollection(const QString&) 
amarok:               END__: ScriptableServiceCollection::ScriptableServiceCollection(const QString&) - Took 4.7e-05s 
amarok:             END__: void ScriptableService::init(int, const QString&, bool) - Took 0.00017s 
amarok:              emitting scripted service  "Cool Streams" 
amarok:             BEGIN: void ServiceBrowser::addService(ServiceBase*) 
amarok:             END__: void ServiceBrowser::addService(ServiceBase*
Comment 1 Mark Kretschmann 2010-03-20 17:23:32 UTC
I can confirm this, it happens here as well.
Comment 2 Mark Kretschmann 2010-03-21 11:04:51 UTC
I did some more research. This is definitely a regression, as it still works with this Git revision:

269a51da8eaffe8c8570088107a55121e76ea362
Comment 3 Mark Kretschmann 2010-03-21 11:20:06 UTC
Update:

This actually happens with all service config dialogs (also Ampache, etc).
Comment 4 Mark Kretschmann 2010-03-21 12:47:36 UTC
Found the problem: It's our new "LikeBack" system. 

I'll try putting these config dialogs in the blacklist.
Comment 5 Mark Kretschmann 2010-03-22 11:37:22 UTC
Another update (sorry) ;)

LikeBack might not actually be the problem here. Blacklisting KCModule in LikeBack didn't fix anything.

So we might have to git bisect this. I think the regression was introduced shortly after 2.3.0 tagging, so we should probably start there.
Comment 6 Sven Krohlas 2010-03-24 09:09:06 UTC
*** Bug 231927 has been marked as a duplicate of this bug. ***
Comment 7 Mark Kretschmann 2010-03-24 10:17:40 UTC
I'm having a strong suspicion that this bug is related to Bug 229243
Comment 8 Diego Zaccai 2010-03-24 16:01:52 UTC
On 03/24/2010 05:17 AM, Mark Kretschmann wrote:
>   strong suspicion that this bug is related to Bug 229243
>
>    
Yes, its the same one, sorry I didn't realize this before
Comment 9 Mark Kretschmann 2010-03-24 16:41:01 UTC
Got some news:

We did some more complicated bisecting today, and we found out that this commit here induces the bug (reverting it fixes the problem, but we still haven't figured out the real cause):


commit 49412afc102528f90ab0c6604306104c9901b1e1
Author: Oleksandr Khayrullin <saniokh@gmail.com>
Date:   Tue Mar 16 21:37:15 2010 +0100

   Moved the enabling and disabling of the tooltip to the playlist layout configuration
Comment 10 Sven Krohlas 2010-03-28 17:16:44 UTC
*** Bug 232480 has been marked as a duplicate of this bug. ***
Comment 11 Myriam Schweingruber 2010-05-22 12:30:36 UTC
Seems to be fixed upstream, please test again with the upcoming Amarok 2.3.1 and a recent KDE SC 4.4.3 or later
Comment 12 Rohan Garg 2010-05-22 13:13:13 UTC
Yes this seems to be resolved in the version : v2.3.0.90-115-gdf9ace4 : from git,thanks for the fix :)
Comment 13 Yözen Hernández 2010-06-12 16:44:52 UTC
Created attachment 47949 [details]
Debugging output when trying to enable ampache
Comment 14 Yözen Hernández 2010-06-12 16:45:28 UTC
I still see this on Amarok 2.3.1 on kubuntu 10.04 using the kubuntu-ppa backports repository. It just hangs for example, when I open the internet services tab and try to enable Ampache. Actually, it hangs pretty much after clicking on that tab. I attached the debug output I got while trying to click on the checkbox next to Ampache. I still can't add an Ampache server because of this.
Comment 15 Myriam Schweingruber 2010-06-13 15:19:46 UTC
I can't reproduce this here on current Amarok 2.3.1-git, let's see what others say
Comment 16 Valorie Zimmerman 2010-06-14 05:24:37 UTC
I just built afresh to test this out. After removing all the services, I added them successfully again. Just tested Ampache, Cool Streams, Free Music Charts, Jamendo, Last.fm, Magnatune and Shoutcast. 

Amarok Version 2.3-GIT (Build Date: Jun 13 2010)
Using KDE 4.4.85 (KDE 4.4.85 (KDE 4.5 Beta2))
Comment 17 Silver Salonen 2010-06-15 16:29:27 UTC
I too still experience the freeze. Amarok 2.3.1 on openSUSE 11.2 (64-bit).
Comment 18 Myriam Schweingruber 2010-06-15 22:57:26 UTC
Could you please all check what happens if the service window is large enough so one doesn't have to scroll? There was a similar bug report about a freeze recently.
Comment 19 Silver Salonen 2010-06-16 07:57:32 UTC
Yes, when the configuration dialog was maximized before switching to internet services, freezing didn't happen. After I un-maximized it, it freezed right away.
Comment 20 Valorie Zimmerman 2010-06-16 09:29:21 UTC
New build tonight. I made the window as small as possible, but there is still no need to scroll. Unchecked all, Apply, OK. Opened it up again, checked all that I used, Apply, OK -- no freeze.
Comment 21 Myriam Schweingruber 2010-06-16 22:37:39 UTC
(In reply to comment #19)
> Yes, when the configuration dialog was maximized before switching to internet
> services, freezing didn't happen. After I un-maximized it, it freezed right
> away.

Which confirms my suspicion, this is likely not an Amarok bug

*** This bug has been marked as a duplicate of bug 213068 ***